OpenTTD Source: ConstructionSettings Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
ConstructionSettings Struct Reference

Settings related to construction in-game. More...

`#include <settings_type.h>`

## Data Fields
uint8_t | map_height_limit
| the maximum allowed heightlevel
bool | build_on_slopes
| allow building on slopes
bool | autoslope
| allow terraforming under things
uint16_t | max_bridge_length
| maximum length of bridges
uint8_t | max_bridge_height
| maximum height of bridges
uint16_t | max_tunnel_length
| maximum length of tunnels
uint8_t | train_signal_side
| show signals on left / driving / right side
bool | extra_dynamite
| extra dynamite
bool | road_stop_on_town_road
| allow building of drive-through road stops on town owned roads
bool | road_stop_on_competitor_road
| allow building of drive-through road stops on roads owned by competitors
bool | crossing_with_competitor
| allow building of level crossings with competitor roads or rails
uint8_t | raw_industry_construction
| type of (raw) industry construction (none, "normal", prospecting)
uint8_t | industry_platform
| the amount of flat land around an industry
bool | freeform_edges
| allow terraforming the tiles at the map edges
uint8_t | extra_tree_placement
| (dis)allow building extra trees in-game
uint8_t | command_pause_level
| level/amount of commands that can't be executed while paused
uint32_t | terraform_per_64k_frames
| how many tile heights may, over a long period, be terraformed per 65536 frames?
uint16_t | terraform_frame_burst
| how many tile heights may, over a short period, be terraformed?
uint32_t | clear_per_64k_frames
| how many tiles may, over a long period, be cleared per 65536 frames?
uint16_t | clear_frame_burst
| how many tiles may, over a short period, be cleared?
uint32_t | tree_per_64k_frames
| how many trees may, over a long period, be planted per 65536 frames?
uint16_t | tree_frame_burst
| how many trees may, over a short period, be planted?
uint32_t | build_object_per_64k_frames
| how many tiles may, over a long period, be purchased or have objects built on them per 65536 frames?
uint16_t | build_object_frame_burst
| how many tiles may, over a short period, be purchased or have objects built on them?

## Detailed Description

Settings related to construction in-game.

Definition at line 381 of file settings_type.h.

## Field Documentation

## ◆ autoslope

bool ConstructionSettings::autoslope

allow terraforming under things

Definition at line 384 of file settings_type.h.

Referenced by AutoslopeEnabled().

## ◆ build_object_frame_burst

uint16_t ConstructionSettings::build_object_frame_burst

how many tiles may, over a short period, be purchased or have objects built on them?

Definition at line 406 of file settings_type.h.

Referenced by Company::Company(), and UpdateLandscapingLimits().

## ◆ build_object_per_64k_frames

uint32_t ConstructionSettings::build_object_per_64k_frames

how many tiles may, over a long period, be purchased or have objects built on them per 65536 frames?

Definition at line 405 of file settings_type.h.

Referenced by UpdateLandscapingLimits().

## ◆ build_on_slopes

bool ConstructionSettings::build_on_slopes

allow building on slopes

Definition at line 383 of file settings_type.h.

Referenced by CheckBuildableTile(), CheckRailSlope(), CheckRoadSlope(), CmdBuildBridge(), CmdBuildRoad(), CmdBuildRoadDepot(), CmdBuildTrainDepot(), GrowTownInTile(), InitializeGRFSpecial(), IsRoadAllowedHere(), IsValidTileForWaypoint(), RemoveRoad(), and TestAutoslopeOnRailTile().

## ◆ clear_frame_burst

uint16_t ConstructionSettings::clear_frame_burst

how many tiles may, over a short period, be cleared?

Definition at line 402 of file settings_type.h.

Referenced by AfterLoadGame(), Company::Company(), and UpdateLandscapingLimits().

## ◆ clear_per_64k_frames

uint32_t ConstructionSettings::clear_per_64k_frames

how many tiles may, over a long period, be cleared per 65536 frames?

Definition at line 401 of file settings_type.h.

Referenced by UpdateLandscapingLimits().

## ◆ command_pause_level

uint8_t ConstructionSettings::command_pause_level

level/amount of commands that can't be executed while paused

Definition at line 397 of file settings_type.h.

Referenced by IsCommandAllowedWhilePaused().

## ◆ crossing_with_competitor

bool ConstructionSettings::crossing_with_competitor

allow building of level crossings with competitor roads or rails

Definition at line 392 of file settings_type.h.

Referenced by CmdBuildRoad(), and CmdBuildSingleRail().

## ◆ extra_dynamite

bool ConstructionSettings::extra_dynamite

extra dynamite

Definition at line 389 of file settings_type.h.

Referenced by CheckAllowRemoveRoad(), and CheckAllowRemoveTunnelBridge().

## ◆ extra_tree_placement

uint8_t ConstructionSettings::extra_tree_placement

(dis)allow building extra trees in-game

Definition at line 396 of file settings_type.h.

## ◆ freeform_edges

bool ConstructionSettings::freeform_edges

allow terraforming the tiles at the map edges

Definition at line 395 of file settings_type.h.

Referenced by _GenerateWorld(), AfterLoadGame(), DistanceFromEdgeDir(), SmallMapWindow::DrawSmallMapColumn(), FlatEmptyWorld(), GenerateLandscape(), GenerateTerrainPerlin(), GetClosestWaterDistance(), GrayscaleToMapHeights(), GUIPlaceProcDragXY(), HeightMapNormalize(), InitLoading(), InverseRemapCoords2(), IsInnerTile(), GenerateLandscapeWindow::OnInvalidateData(), BuildObjectWindow::OnPlaceMouseUp(), TerraformToolbarWindow::OnPlaceMouseUp(), SetupScreenshotViewport(), TerraformTileHeight(), and TileAddWrap().

## ◆ industry_platform

uint8_t ConstructionSettings::industry_platform

the amount of flat land around an industry

Definition at line 394 of file settings_type.h.

Referenced by CheckIfCanLevelIndustryPlatform().

## ◆ map_height_limit

uint8_t ConstructionSettings::map_height_limit

the maximum allowed heightlevel

Definition at line 382 of file settings_type.h.

Referenced by AfterLoadGame(), BuildLandLegend(), ClickChangeMaxHlCheat(), CmdLevelLand(), GenerateWorld(), GetGlobalVariable(), GetMapHeightLimit(), GlobalVarChangeInfo(), InverseRemapCoords2(), SmallMapWindow::RebuildColourIndexIfNecessary(), TerraformTileHeight(), and TGPGetMaxHeight().

## ◆ max_bridge_height

uint8_t ConstructionSettings::max_bridge_height

maximum height of bridges

Definition at line 386 of file settings_type.h.

Referenced by CmdBuildBridge(), CmdTerraformLand(), and ViewportAddLandscape().

## ◆ max_bridge_length

uint16_t ConstructionSettings::max_bridge_length

maximum length of bridges

Definition at line 385 of file settings_type.h.

Referenced by AfterLoadGame(), CheckBridgeAvailability(), CmdBuildBridge(), GetOtherAqueductEnd(), and InitializeGRFSpecial().

## ◆ max_tunnel_length

uint16_t ConstructionSettings::max_tunnel_length

maximum length of tunnels

Definition at line 387 of file settings_type.h.

Referenced by AfterLoadGame(), and CmdBuildTunnel().

## ◆ raw_industry_construction

uint8_t ConstructionSettings::raw_industry_construction

type of (raw) industry construction (none, "normal", prospecting)

Definition at line 393 of file settings_type.h.

Referenced by CmdBuildIndustry(), IndustrySpec::GetConstructionCost(), BuildIndustryWindow::OnClick(), and BuildIndustryWindow::SetStringParameters().

## ◆ road_stop_on_competitor_road

bool ConstructionSettings::road_stop_on_competitor_road

allow building of drive-through road stops on roads owned by competitors

Definition at line 391 of file settings_type.h.

Referenced by CheckFlatLandRoadStop().

## ◆ road_stop_on_town_road

bool ConstructionSettings::road_stop_on_town_road

allow building of drive-through road stops on town owned roads

Definition at line 390 of file settings_type.h.

Referenced by CheckFlatLandRoadStop().

## ◆ terraform_frame_burst

uint16_t ConstructionSettings::terraform_frame_burst

how many tile heights may, over a short period, be terraformed?

Definition at line 400 of file settings_type.h.

Referenced by AfterLoadGame(), Company::Company(), and UpdateLandscapingLimits().

## ◆ terraform_per_64k_frames

uint32_t ConstructionSettings::terraform_per_64k_frames

how many tile heights may, over a long period, be terraformed per 65536 frames?

Definition at line 399 of file settings_type.h.

Referenced by UpdateLandscapingLimits().

## ◆ train_signal_side

uint8_t ConstructionSettings::train_signal_side

show signals on left / driving / right side

Definition at line 388 of file settings_type.h.

Referenced by InitializeGRFSpecial().

## ◆ tree_frame_burst

uint16_t ConstructionSettings::tree_frame_burst

how many trees may, over a short period, be planted?

Definition at line 404 of file settings_type.h.

Referenced by AfterLoadGame(), Company::Company(), and UpdateLandscapingLimits().

## ◆ tree_per_64k_frames

uint32_t ConstructionSettings::tree_per_64k_frames

how many trees may, over a long period, be planted per 65536 frames?

Definition at line 403 of file settings_type.h.

Referenced by UpdateLandscapingLimits().

The documentation for this struct was generated from the following file:

- src/settings_type.h